<mat-progress-bar *ngIf="loading$ | async" mode="indeterminate"></mat-progress-bar>
<div class="flex flex-col justify-center items-center h-full">
    <span class="text-2xl mb-5">Welcome to Kortext book store!</span>
    <form [formGroup]="loginForm" class="w-52">
        <mat-form-field class="w-full">
            <mat-label>Enter your google API Token</mat-label>
            <input type="text" matInput [formControlName]="'token'" data-cy="token">
            <mat-error *ngIf="loginForm.hasError('required')">
                Token is <strong>required</strong>
            </mat-error>
        </mat-form-field>
        <div class="text-red-500" *ngIf="error$ | async as error" data-cy="error">
            {{error.text}}
        </div>
        <button mat-raised-button [ngClass]="(error$ | async) ? 'text-red-500' : 'text-black'" (click)="onSubmit()"
            data-cy="submit-button">Submit</button>
    </form>
</div>